org.apache.avro.path

## Class MapKeyPredicate

- java.lang.Object
- - org.apache.avro.path.MapKeyPredicate

All Implemented Interfaces:
  PathElement, PathPredicate, PositionalPathPredicate

    public class MapKeyPredicate
    extends Object
    implements PositionalPathPredicate

Returns items by their position (string key under which they are stored) in a map

### Constructor Summary

Constructors
Constructor and Description
`MapKeyPredicate(String key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getKey()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MapKeyPredicate

    public MapKeyPredicate(String key)

### Method Detail

#### getKey

    public String getKey()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`